## org.eclipse.amp.amf.acore.edit.commands.test
Class AddImplement

    java.lang.Object
      org.eclipse.amp.amf.acore.edit.commands.test.PrePostCondition
          org.eclipse.amp.amf.acore.edit.commands.test.CommandTransformer
              org.eclipse.amp.amf.acore.edit.commands.test.AddImplement

All Implemented Interfaces:
  PrePostAsserts, org.metaabm.tests.Transformer

    public class AddImplement

extends CommandTransformer

Constructor Summary
`AddImplement()`

Method Summary
`org.eclipse.emf.common.command.Command` `getCommand()`
`void` `postCondition()`
`void` `preCondition()`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.CommandTransformer
`addPrePost, doPostCondition, doPreCondition, exec, modifies, prepare, redo, toString, undo`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.PrePostCondition
`agAttr, agentRootAct, agInput, agQuery, attr, getDomain, getModel, memAgent, memContext, rootAct, setDomain, setModel, setTestCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddImplement

    public AddImplement()

Method Detail

### getCommand

    public org.eclipse.emf.common.command.Command getCommand()

  Specified by:
    `getCommand` in class `CommandTransformer`

### preCondition

    public void preCondition()

  Specified by:
    `preCondition` in interface `PrePostAsserts`
  Overrides:
    `preCondition` in class `PrePostCondition`

### postCondition

    public void postCondition()

  Specified by:
    `postCondition` in interface `PrePostAsserts`
  Overrides:
    `postCondition` in class `PrePostCondition`